Drumlin is a super-simple Java webapp framework
=======

Drumlin is designed to tackle two things simply: Mapping incoming URIs to code
entry points, and rendering from POJOs to documents (normally HTML). You can, of course, think of
these as the Controller and View in a traditional MVC architecture.
You can't beat [Apache Velocity](http://velocity.apache.org/) for document rendering,
so that's baked in. And while Drumlin lets you build request routers in many different
ways, it leans toward its built-in [Play](http://www.playframework.org)-style routing file reader.

The project is built with ant, but also includes an Eclipse project. You'll need
to fetch the dependency libs either way, with "ant fetchlibs". The ant project
uses Ivy to manage the dependencies.

This project uses the excellent Winstone Java servlet container for stand-alone
deployment (especially useful for quick debugging). The last version of the original
Winstone project has a bug in its WinstoneInputStream class, in which every byte
read from the request stream is appended to a byte array stream. Drumlin now carries a
tweaked version of Winstone that removes that problem.
